/*
qs-step will take height of the tallest
*/
.qs-steps-container {
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    /* Changed from start to center */
    min-height: 100%;
    /* Ensures it utilizes available vertical space */
}

.qs-step {
    grid-area: 1 / 1;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
}

.qs-step.active {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
}

/*
@media (max-width: 576px) {
    .qs-steps-container {
        display: block !important;
        min-height: auto !important;
    }
    .qs-step {
        display: none !important;
        grid-area: auto !important;
        opacity: 1 !important;
        visibility: visible !important;
    }
    .qs-step.active {
        display: block !important;
    }
}

*/


/*
just min height but size will increase depending the content
*/
@media (max-width: 576px) {
    .qs-steps-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        min-height: 350px;
        transition: min-height 0.3s ease;
    }

    .qs-step {
        display: none;
    }

    .qs-step.active {
        display: block;
    }
}